DEV_SET_PROMISCUITY(9)

NAME
dev_set_promiscuity - update promiscuity count on a device

SYNOPSIS

int dev_set_promiscuity(struct net_device * dev, int inc);

ARGUMENTS

dev
    device

inc
    modifier

DESCRIPTION

Add or remove promiscuity from a device. While the count in the device remains above zero the interface remains promiscuous. Once it hits zero the device reverts back to normal filtering operation. A negative inc value is used to drop promiscuity on the device. Return 0 if successful or a negative errno code on error.

COPYRIGHT